<?php 
require_once "../core/configGeneral.php";
require_once "../modelos/Servicios.php";

$servicio		=new Servicios();

$idservicio				=isset($_POST["idservicio"])? limpiarCadena($_POST["idservicio"]):"";
$idtiposervicio		=isset($_POST["idtiposervicio"])? limpiarCadena($_POST["idtiposervicio"]):"";
$idmodulo					=isset($_POST["idmodulo"])? limpiarCadena($_POST["idmodulo"]):"";
$nombre						=isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";
$precio						=isset($_POST["precios"])? limpiarCadena($_POST["precios"]):"";
$preciod					=isset($_POST["preciosd"])? limpiarCadena($_POST["preciosd"]):"";
$porcentaje				=isset($_POST["porcentaje"])? limpiarCadena($_POST["porcentaje"]):"";
$descripcion			=isset($_POST["descripcion"])? limpiarCadena($_POST["descripcion"]):"";
$codigo						=isset($_POST["codigo"])? limpiarCadena($_POST["codigo"]):"";
$exento						=isset($_POST["exento"])? limpiarCadena($_POST["exento"]):"";
$idimpuestoslr		=isset($_POST["idimpuestoslr"])? limpiarCadena($_POST["idimpuestoslr"]):"0";
$islr							=isset($_POST["islr"])? limpiarCadena($_POST["islr"]):"no";
if ($exento==''){
	$exento='no';
}

switch ($_GET["op"]) {
	case 'guardaryeditar':
		if (empty($idservicio)) {
			$rspta	=	$servicio->insertar($idtiposervicio,$idmodulo,$nombre,$precio,$preciod,$porcentaje,$descripcion,$codigo,$exento,$idimpuestoslr,$islr);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			$rspta	=	$servicio->editar($idservicio,$idtiposervicio,$idmodulo,$nombre,$precio,$preciod,$porcentaje,$descripcion,$codigo,$exento,$idimpuestoslr,$islr);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;
	case 'desactivar':
		$rspta	=	$servicio->desactivar($idservicio);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
	break;
	case 'activar':
		$rspta	=	$servicio->activar($idservicio);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
	break;
	
	case 'mostrar':
		$rspta	=	$servicio->mostrar($idservicio);
		echo json_encode($rspta);
	break;

  case 'listar':
		$rspta	=	$servicio->listar();
		$data	=	Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idservicio.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idservicio.')">
						<i class="fas fa-times"></i></button>':'
						<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idservicio.')">
						<i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-primary btn-xs" 
						onclick="activar('.$reg->idservicio.')"><i class="fa fa-check"></i></button>',
            "1"=>$reg->nombre,
						"2"=>$reg->descripcion,
            "3"=>$reg->tiposervicion,
						"4"=>$reg->modulo,
           	"5"=>number_format($reg->precio,2,',','.'),
						"6"=>number_format($reg->porcentaje,2,',','.'),
						"7"=>($reg->condicion)?'<span class="badge bg-green">Activado</span>':'<span class="badge bg-red">Desactivado</span>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'selectimpuestoslr':
		require_once "../modelos/Impuestoslr.php";
		$impuestoslr 	= new Impuestoslr();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione el tipo de Retensión';
		$rspta 				= $impuestoslr->select();
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			//echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'-'.$reg->nombred.'</option>';
			echo '<option value='.$reg->idimpuestoslr.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'buscarServicio':
		$rspta	=	$servicio->buscarServicio($idservicio);
		echo json_encode($rspta);
	break;

		
}
 ?>